/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pr2cv1;

import java.util.*;

/**
 *
 * @author balikm1
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        Zakaznik z1 = new Zakaznik("Petr", "Novak", "8410051234");
        Zakaznik z2 = new Zakaznik("Jan", "Starý", "8003111234");
        Zakaznik z3 = new Zakaznik("Jitka", "Bystrá", "8206241234");
        
        BankovniUcet bu1 = new BankovniUcet(z1, BankovniUcet.Mena.CZK);
        BankovniUcet bu2 = new BankovniUcet(z2, BankovniUcet.Mena.CZK);
        BankovniUcet bu3 = new BankovniUcet(z3, BankovniUcet.Mena.CZK);
        BankovniUcet bu4 = new BankovniUcet(new Zakaznik("Jitka", "Bystrá", "8206241234"), BankovniUcet.Mena.EUR);
        
        porovnaniMajitele(bu1, bu2);
        porovnaniMajitele(bu3, bu4);

        bu1.vlozCastku(10000);
        bu2.vlozCastku(100);
        bu3.vlozCastku(3000);

        List seznamUctu = new ArrayList();
        seznamUctu.add(bu1);
        seznamUctu.add(bu2);
        seznamUctu.add(bu3);
        List list = Collections.synchronizedList(seznamUctu);
        Collections.sort(list);

        System.out.println("\nÚčty podle zůstatku:\n");

        ListIterator i = list.listIterator();
        while(i.hasNext())
        {
              System.out.println((BankovniUcet)i.next());
        }
    }

    public static void porovnaniMajitele(BankovniUcet bu1, BankovniUcet bu2)
    {
        System.out.println("Porovnávám majitele účtu:\n" + bu1 + "\n a \n"+ bu2);
        if (bu1.getMajitel().equals(bu2.getMajitel()))
        {
            System.out.println("Majitel je stejný");
        }
        else
        {
            System.out.println("Různí majitelé");
        }
    }

}
